Subject: Re: Problem uninstalling/deleting cygwin
From: Dan Ch <[email-masked]>
To: [email-masked]
Cc: Neven Luetic <[email-masked]>
Date: Tue, 25 Jan 2005 22:31:48 -0800 (PST)

On Tue, 25 Jan 2005, Neven Luetic wrote:
> > > It says: "x cannot be deleted. Access denied. Maybe the source file
> > > is opened" (maybe this translation from german is bad, but I saw it
> > > before, so you'll recognize it).
> >
> > Does any process have this file opened? Try using Process Explorer
> > from SysInternals.com.
>
> Process Explorer doesn't show anything (I looked for the handle
> "cygwin.old", i.e. the top level dir). I killed any process that I could
> (including explorer) and stopped AntiVir, Apache and mysql. No change.
>
> Anyway, those stale links cannot be accessed as files at all. I can only
> see them using "ls" or apply chmod/chown on them. Nothing else. If I try
> "cat file", it says "No such file or directory". File zombies.

Can you see those "stale link" files in Windows Explorer?  If not,
you might want to try turning off the "Hide protected operating
system files (Recommended)" option.  To get to this option, select
the "Folder Options..." on the "Tools" menu.  Then select the "View"
tab and look for the option in the "Advanced settings" box.

Note that "Hide protected operating system files (Recommended)" hides
all files that have both the system and hidden attribute including
those that might not be used by the operating system.

If you can see the files but can not delete them, you might want to
try bypassing the recycle bin by holding down the left shift key
while selecting "delete."  This will try to the delete the file
instead of moving it to the recycle bin.

Dan Ch.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/